function lagged = lagize(data,nlags,delta)
% lagged = lagize(datacellofwindows,nlags,delta)
if nargin < 3
  delta = 1;
end

nlags = nlags + 1;

[r,c] = size(data);
lagged = cell(r,c);
for ri = 1:r
  for ci = 1:c
    datacols = data{ri,ci};
    ncols = size(datacols,2);
    starts = [0:nlags-1]*delta+1;
    laggedWindow = [];
    for i = starts
      laggedWindow = [laggedWindow; datacols(:,i:(ncols-starts(end)+i))];
    end
    lagged{ri,ci} = laggedWindow;
  end
end
